Loading...
Searching...
No Matches
juce::AttributedString::Attribute Class Reference

## Detailed Description

An attribute that has been applied to a range of characters in an AttributedString.

The documentation for this class was generated from the following file:

- juce_graphics/fonts/juce_AttributedString.h

## Public Member Functions

| Attribute ()=default
| Attribute (const Attribute &)=default
Attribute & | operator= (const Attribute &)=default
| Attribute (Attribute &&) noexcept=default
Attribute & | operator= (Attribute &&) noexcept=default
| Attribute (Range< int > range, const Font &font, Colour colour) noexcept
| Creates an attribute that specifies the font and colour for a range of characters.

## Public Attributes

Range< int > | range
| The range of characters to which this attribute will be applied.
Font | font { FontOptions{} }
| The font for this range of characters.
Colour | colour { 0xff000000 }
| The colour for this range of characters.

## Constructors and Destructors

## Attribute() [1/4]

juce::AttributedString::Attribute::Attribute | ( |  | ) |

default

Referenced by Attribute(), Attribute(), Attribute(), operator=(), and operator=().

## Attribute() [2/4]

juce::AttributedString::Attribute::Attribute | ( | const Attribute & |  | ) |

default

References Attribute().

## Attribute() [3/4]

juce::AttributedString::Attribute::Attribute | ( | Attribute && |  | ) |

default noexcept

References Attribute().

## Attribute() [4/4]

juce::AttributedString::Attribute::Attribute | ( | Range< int > | range,
|  | const Font & | font,
|  | Colour | colour )

noexcept

Creates an attribute that specifies the font and colour for a range of characters.

References Attribute(), colour, font, and range.

## Member Functions

## operator=() [1/2]

Attribute & juce::AttributedString::Attribute::operator= | ( | const Attribute & |  | ) |

default

References Attribute().

## operator=() [2/2]

Attribute & juce::AttributedString::Attribute::operator= | ( | Attribute && |  | ) |

default noexcept

References Attribute().

## Member Data Documentation

## range

Range<int> juce::AttributedString::Attribute::range

The range of characters to which this attribute will be applied.

Referenced by Attribute().

## font

Font juce::AttributedString::Attribute::font { FontOptions{} }

The font for this range of characters.

Referenced by Attribute().

## colour

Colour juce::AttributedString::Attribute::colour { 0xff000000 }

The colour for this range of characters.

Referenced by Attribute().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited